---
title: "Gets a paginated list of all users"
slug: "gets-a-paginated-list-of-all-users"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/gets-a-paginated-list-of-all-users"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Gets a paginated list of all users
Get/api/v2/users
SecurityHTTPType bearer
Query parameterstimezonestring
Apply timezone to users
Default"UTC"ExampleAsia/Kolkata
namestring
The name of a user to filter
loginNamestring
The loginName of a user to filter
mailstring
The mail of a user to filter
accountStatusstring
The accountStatus of a user to filter. The available account status are Enabled, Disabled, Enabled* and Disabled*
mfaboolean
The mfa state of a user to filter. The available mfa states are true, false
emailVerifiedboolean
The email verified state of a user to filter. The available email verified states are true, false
sizeinteger
The number of records to return per page, The default size is 25
Default25
pageinteger
The page number. The page number start from 1
Default1
orgIdstring
The ID of a particular org to filter
groupNamestring
The group name of a user to filter
sortarray of string
Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['name','loginName','mail','lastLoggedIn', 'pwdExpiryDays', 'whenCreated', 'whenChanged', 'scheduleAccessEndDate']
DefaultwhenCreated:DESCExample[
"name:asc"
]
lastLoggedInstring
Filter the user whose never loggedIn. Allowed value: Never
lastLoggedInFromDatestring
The earliest date to search in user loggedIn time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2021-05-06T10:50:35+0000
lastLoggedInToDatestring
The latest date to search in user loggedIn time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2021-05-06T10:50:35+0000
passwordExpiryFromDatestring
The latest date to search in user password expiry time. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)
Example2021-05-06T10:50:35+0000
passwordExpiryToDatestring
The future date to search in user password expiry time. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)
Example2021-05-06T10:50:35+0000
scheduleAccessExpiryFromDatestring
The latest date to search in user schedule access expiry datetime. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)
Example2021-05-06T10:50:35+0000
scheduleAccessExpiryToDatestring
The future date to search in user schedule access expiry datetime. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)
Example2021-05-06T10:50:35+0000
tagsarray of string
Filter user by tags
siteIdstring
The ID of a particular site to filter
Responses200
A list of all users
Expand Allobject authorizationboolean
dataobject pageinteger
results Array of object (User) object accountStatusstring
authenticationDomains Array of object object idstring
namestring
typestring
emailVerifiedboolean
emailVerifiedAtstring
fStatestring
firstNamestring
groupsstring
lastLoggedInstring
lastNamestring
loginNamestring
mailstring
mfaobject orgLevelPolicystring
otpboolean
resetOTPboolean
triggeredAtstring
namestring
objectGUIDstring
organizationobject idstring
levelinteger
namestring
pwdExpiryDaysinteger
pwdLastSetAtstring
sAMAccountNamestring
scheduleAccessobject (ScheduleAccess) enabledboolean
endstring
notifyAtstring
recurrenceobject byDay Array of string string
byMonth Array of integer integer
byMonthDay Array of integer integer
bySetPos Array of integer integer
endTimestring
frequencystring
intervalinteger
startTimestring
untilstring
removeUserAfterLastScheduleboolean
startstring
timezonestring
scopestring
tagsobject keystring
valuestring
telephoneNumberstring
timezonestring
userPrincipalNamestring
verifyEmailCountinteger
verifyEmailTriggeredAtstring
whenChangedstring
whenCreatedstring
sizeinteger
totalCountinteger
totalPageinteger
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
500
Could not get users - Internal Server Error
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean